import type { GenericRecord } from "@webiny/api/types";
import type { RequestDto } from "./types";
export declare class DataLoaderRequest<TConfig extends GenericRecord = GenericRecord> {
    private readonly type;
    private readonly config;
    private readonly paths;
    protected constructor(type: string, config: TConfig, paths: string[]);
    static create(params: RequestDto): DataLoaderRequest<GenericRecord<PropertyKey, any>>;
    getType(): string;
    getConfig(): TConfig;
    getPaths(): string[];
    withConfig(config: TConfig): DataLoaderRequest<TConfig>;
}
