"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DataLoaderRequest = void 0;
class DataLoaderRequest {
  constructor(type, config, paths) {
    this.type = type;
    this.config = config;
    this.paths = paths;
  }
  static create(params) {
    return new DataLoaderRequest(params.type, params.config, params.paths);
  }
  getType() {
    return this.type;
  }
  getConfig() {
    return this.config;
  }
  getPaths() {
    return this.paths || [];
  }
  withConfig(config) {
    return new DataLoaderRequest(this.type, config, this.paths);
  }
}
exports.DataLoaderRequest = DataLoaderRequest;

//# sourceMappingURL=DataLoaderRequest.js.map