import zod from "zod";
import type { CmsContext } from "@webiny/api-headless-cms/types";
import type { DataLoaderRequest, DataLoaderResult, IDataSource } from "..";
export interface CmsEntriesDataSourceConfig {
    modelId: string;
    limit: number;
}
export declare class CmsEntriesDataSource implements IDataSource<CmsEntriesDataSourceConfig> {
    private cms;
    constructor(cms: CmsContext["cms"]);
    getType(): string;
    getConfigSchema(): zod.Schema;
    load(request: DataLoaderRequest<CmsEntriesDataSourceConfig>): Promise<DataLoaderResult>;
}
