"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _base = require("./graphql/base.gql");
var _menus = require("./graphql/menus.gql");
var _pages = require("./graphql/pages.gql");
var _pageElements = require("./graphql/pageElements.gql");
var _categories = require("./graphql/categories.gql");
var _settings = require("./graphql/settings.gql");
var _install = require("./graphql/install.gql");
var _blockCategories = require("./graphql/blockCategories.gql");
var _pageBlocks = require("./graphql/pageBlocks.gql");
var _pageTemplates = require("./graphql/pageTemplates.gql");
var _dynamicData = require("./graphql/dynamicData.gql");
var _default = () => {
  return [(0, _base.createBaseGraphQL)(), (0, _dynamicData.createDynamicDataSchema)(), (0, _menus.createMenuGraphQL)(), (0, _categories.createCategoryGraphQL)(), (0, _pages.createPageGraphQL)(), (0, _pageElements.createPageElementsGraphQL)(), (0, _settings.createSettingsGraphQL)(), (0, _blockCategories.createBlockCategoryGraphQL)(), (0, _install.createInstallGraphQL)(), _pageBlocks.createPageBlockGraphQL, _pageTemplates.createPageTemplateGraphQL];
};
exports.default = _default;

//# sourceMappingURL=graphql.js.map