"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateTranslatedCollectionRepository = void 0;
var _GetModel = require("../../GetModel");
var _TranslatedCollectionMapper = require("./mappers/TranslatedCollectionMapper");
class CreateTranslatedCollectionRepository {
  constructor(context) {
    this.context = context;
  }
  async execute(collection) {
    const model = await _GetModel.GetModel.byModelId(this.context, "translatedCollection");
    await this.context.cms.createEntry(model, _TranslatedCollectionMapper.TranslatedCollectionMapper.toDTO(collection));
  }
}
exports.CreateTranslatedCollectionRepository = CreateTranslatedCollectionRepository;

//# sourceMappingURL=CreateTranslatedCollectionRepository.js.map