export declare const dataSourcesSchema = "\n    type DataSourceError {\n        code: String\n        message: String\n        data: JSON\n        stack: String\n    }\n\n    type DataSourceResponse {\n        data: JSON\n        error: DataSourceError\n    }\n\n    type DataSourcesQuery {\n        loadDataSource(type: String!, config: JSON!, paths: [String!]): DataSourceResponse\n    }\n\n    extend type Query {\n        dataSources: DataSourcesQuery\n    }\n";
