import { Page, PageElementProcessor, PbPageElement } from "../../../types";
export declare function processPageContent(page: Page, processors: PageElementProcessor[]): Promise<{
    content: PbPageElement;
    id: string;
    pid: string;
    locale: string;
    tenant: string;
    title: string;
    editor: string;
    createdFrom: string | null;
    path: string;
    category: string;
    publishedOn: string | null;
    version: number;
    settings: import("../../../types").PageSettings;
    locked: boolean;
    status: import("../../../types").PageStatus;
    createdOn: string;
    savedOn: string;
    createdBy: import("../../../types").CreatedBy;
    ownedBy: import("../../../types").CreatedBy;
    webinyVersion: string;
    dataSources?: import("../../../types").DataSource[] | undefined;
    dataBindings?: import("../../../types").DataBinding[] | undefined;
    blockVariables?: import("../../../types").BlockVariable[] | undefined;
}>;
